# Extreme values

## Absolute extreme values

Function $f$ has an **absolute maximum value** $f(x_0)$ at the point $x_0$ in its domain if $f(x) \leq f(x_0)$ holds ofr every $x$ in the domain of $f$.

Similarly, $f$ has an **absolute minimum value** $f(x_1)$ at the point $x_1$ in its domain if $f(x) \geq f(x_1)$ holds for every $x$ in the domain of $f$.

## Local extreme values

Function $f$ has an **local maximum value** $f(x_0)$ at the point $x_0$ in its domain provided there exists a number $h > 0$ such that $f(x) \leq f(x_0)$ whenever $x$ is in the domain of $f$ and $|x - x_0| < h$.

Similarly, $f$ has an **local minimum value** $f(x_1)$ at the point $x_1$ in its domain provided there exists a number $h > 0$ such that $f(x) \geq f(x_1)$ whenever $x$ is in the domain of $f$ and $|x - x_1| < h$.

## Critical points

A critical point is a point $x \in \mathrm{Dom}(f)$ where $f'(x) =0$.

## Singular points

A singular point is a point $x \in \mathrm{Dom}(f)$ where $f'(x)$ is not defined.

## Endpoints

An endpoint $x \in \mathrm{Dom}(f)$ that does not belong to any open interval contained in $\mathrm{Dom}(f)$

## Locating extreme values

If the function $f$ is defined on an interval $I$ and has a local maxima or minima in $I$ then the point must be either a critical point of $f$, a singular point of $f$ or an endpoint of $I$.

**Proof:**

Suppose that $f$ has a local maximum value at $x_0$ and that $x_0$ is neither an endpoint of the domain of $f$ nor a singular point of $f$. Then for some $h > 0$, $f(x)$ is defined on the open interval $(x_0 - h, x_0 + h)$ and has an absolute maximum at $x_0$. Also, $f'(x_0) exists, following from [Rolle's theorem](differentation.md#rolles-theorem).

## The first derivative test

### Example

Find the local and absolute extreme values of $f(x) = x^4 - 2x^2 -3$ on the interval $[-2,2]$.

$$f'(x) = 4x^3 - 4x = 4x(x^2 - 1) = 4x(x - 1)(x + 1)$$

| $x$ | $-2$| $-1$| $0$ | $1$ | $2$ |
| --- | --- | --- | --- | --- | --- |
| $f'$|  |-  0  +|+  0  -|-  0  +|  |
| $f$ | max | min | max | min | max |
|     | EP  | CP  | CP  | CP  | EP  |