# Sets

## Sets and subsets

> *Definition*: a set is a collection of elements uniquely defined by these elements. 

Examples are $\mathbb{N}$, the set of natural numbers. $\mathbb{Z}$, the set of integers. $\mathbb{Q}$, the set of rational numbers. $\mathbb{R}$, the set of real numbers and $\mathbb{C}$ the set of complex numbers.

<br>

> *Definition*: suppose $A$ and $B$ are sets. Then $A$ is called a subset of $B$, if for every element $a \in A$ there also is $a \in B$. Then $B$ contains $A$ and can be denoted by $A \subseteq B$. 

The extra line under the symbol implies properness. A subset $A$ of a set $B$ which is not the empty set $\varnothing$ nor the full set $B$ is called a proper subset of $B$, denoted by $A \subsetneq B$. For example $\mathbb{N} \subsetneq \mathbb{Z}$.

<br>

> *Definition*: if $B$ is a set, then $\wp(B)$ denotes the set of all subsets $A$ of $B$. The set $\wp(B)$ is called the power set of $B$. 

Suppose for example that $B = {x,y,z}$, then $\wp(B) = \{\varnothing,\{x\},\{y\},\{z\},\{x,y\},\{x,z\},\{y,z\},\{x,y,z\}\}$.

<br>

> *Proposition*: let $B$ be a set with $n$ elements. Then its power set $\wp(B)$ contains $w^n$ elements.

<details>
<summary><em>Proof</em>:</summary>

Let $B$ be set with $n$ elements. A subset $A$ of $B$ is completely determined by its elements. For each element $b \in B$ there are two options, it is in $A$ or it is not. So, there are $2^n$ options and thus $2^n$ different subsets $A$ of $B$.

</details>
<br>