# Chemisch rekenen

## Constante van Avogadro

De constante van Avogadro $N_A$ is een fysische constante die de verhouding tussen het aantal deeltjes en de hoeveelheid stof $n$ in mol aangeeft,

$$n=\frac{N}{N_A}.$$

Initieel was de constante van Avogadro gedifinieerd als het aantal atomen in 12 gram koolstof-12. Vanaf de herdefinitie van de basiseenheden, waaronder de mol, is de constante een bepaald exact aantal $\mathrm{mol^{-1}}$ en hangt niet meer af van het koolstof-12-atoom.

## Chemische hoeveelheid

De chemische hoeveelheid is een grootheid met als eenheid mol en is evenredig met het aantal deeltjes $N$. De deeltjes kunnen moleculen, atomen, ionen of subatomaire deeltjes zijn, afhankelijk van de context.

Tussen de massa $m$ van een hoeveelheid stof en de chemische hoeveelheid $n$ bestaat de volgende relatie,

$$n=\frac{m}{M}.$$

Waarin $M$ staat voor de molaire massa van de stof. De molaire massa kan dan gedifinieerd worden als,

$$M=N_A \cdot m_M,$$

waarin $m_M$ de massa van één deeltje van de stof.

## Significantie (versimpeld)

Deze significantie wordt toegepast als er niet met onzekerheid wordt gerekend. Hier geldt.

* Voor een vermenigvuldiging; kleinste getal in vermenigvuldiging.
* Voor een summatie; som van kleinste getal.

## Molariteit

De molariteit is een maat vor de sterkte van een oplossing van een stof. Gedefinieerd als,

$$Molariteit = \frac{n}{V}.$$

## Molair volume

Het molair volume $V_m$ is het volume dat ingenomen wordt door één mol van zuivere stof. Het molaire volume van één mol ideaal gas is onder dezelfde druk en temperatuur altijd hetzelfde en kan met de ideale gaswet berekend worden:

$$V_m = \frac{R \space T}{p}.$$

Hiermee kan het volume die een hoeveelheid gas in neemt berekend worden doormiddel van:

$$V = n \cdot V_m.$$
